Skip to main content

Add

Endpoint​

POST /api/v1/pipelines/:org/:repo

Parameters​

The following parameters are used to configure the endpoint:

NameDescription
orgname of organization
reponame of repository

Permissions​

COMING SOON!

Responses​

Status CodeDescription
200indicates the request has succeeded
401indicates the user does not have proper permissions

Sample​

warning

This section assumes you already know how to authenticate to the API.

To authenticate to the API, please review the authentication documentation.

File​

{
"commit": "48afb5bdc41ad69bf22588491333f7cf71135163",
"ref": "refs/heads/main",
"type": "yaml",
"version": "1",
"steps": true,
"data": "LS0tCnZlcnNpb246ICIxIgoKc3RlcHM6CiAgLSBuYW1lOiBlY2hvCiAgICBpbWFnZTogYWxwaW5lOmxhdGVzdAogICAgY29tbWFuZHM6IFtlY2hvIGZvb10="
}

Request​

curl \
-X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d "@data.json" \
"http://127.0.0.1:8080/api/v1/pipelines/github/octocat"

Response​

{
"id": 1,
"repo_id": 1,
"commit": "48afb5bdc41ad69bf22588491333f7cf71135163",
"flavor": "",
"platform": "",
"ref": "refs/heads/main",
"type": "yaml",
"version": "1",
"external_secrets": false,
"internal_secrets": false,
"services": false,
"stages": false,
"steps": true,
"templates": false,
"data": "LS0tCnZlcnNpb246ICIxIgoKc3RlcHM6CiAgLSBuYW1lOiBlY2hvCiAgICBpbWFnZTogYWxwaW5lOmxhdGVzdAogICAgY29tbWFuZHM6IFtlY2hvIGZvb10="
}